#ifndef GLOBAL_H
#define GLOBAL_H

// common C headers
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cassert>
#include <ctime>
#include <cmath>

// common STL headers
#include <iostream>
#include <sstream>
#include <fstream>
#include <string>
#include <vector>
#include <list>
#include <map>
#include <algorithm>

// smart pointers
#include <boost/shared_ptr.hpp>
#include <boost/scoped_ptr.hpp>
#include <boost/enable_shared_from_this.hpp>

// constants
#include <const.h>

// easy types
#include <util/types.h>

// custom types
#include <util/point.h>
#include <util/color.h>
#include <util/rect.h>
#include <util/size.h>

// additional utilities
#include <util/convert.h>
#include <util/foreach.h>
#include <util/makestring.h>
#include <util/logger.h>

#endif // GLOBAL_H
